Bug 225808 - Merge Review: gmime [NEEDINFO]
Merge Review: gmime
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gmime (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:50 EST by Nobody's working on this, feel free to take it
Modified: 2016-11-24 05:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: needinfo? (alexl)
wtogami: fedora‑cvs+


Attachments (Terms of Use)
Sample Spec file fixes. (2.25 KB, patch)
2008-12-31 08:59 EST, Debarshi Ray
no flags Details | Diff
Updated Patch2 to apply against mono/Makefile.in (2.47 KB, text/plain)
2008-12-31 09:00 EST, Debarshi Ray
no flags Details
Updated Spec file (7.89 KB, patch)
2009-03-30 23:17 EDT, Debarshi Ray
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:50:06 EST
Fedora Merge Review: gmime

http://cvs.fedora.redhat.com/viewcvs/devel/gmime/
Initial Owner: alexl@redhat.com
Comment 1 Alexander Larsson 2007-05-15 03:52:20 EDT
Package Change Request
======================
Package Name: gmime
Updated Fedora Owners: alexl@redhat.com, fedora@leemhuis.info

Adds Thorsten Leemhuis as comaintainer
Comment 2 Debarshi Ray 2008-12-31 08:57:26 EST
MUST Items: 

xx - rpmlint is unclean on RPM
    + [rishi@ginger ~]$ rpmlint gmime
      gmime.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgmime-2.0.so.2.2.21 /lib64/libgmodule-2.0.so.0
      gmime.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgmime-2.0.so.2.2.21 /lib64/libdl.so.2
      gmime.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgmime-2.0.so.2.2.21 /lib64/libgthread-2.0.so.0
      gmime.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgmime-2.0.so.2.2.21 /lib64/librt.so.1
      gmime.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgmime-2.0.so.2.2.21 /lib64/libnsl.so.1
      1 packages and 0 specfiles checked; 0 errors, 5 warnings.
      [rishi@ginger ~]$ rpmlint gmime-sharp
      gmime-sharp.x86_64: W: no-documentation
      gmime-sharp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/gmime-sharp-2.4.pc
      gmime-sharp.x86_64: W: summary-not-capitalized mono bindings for gmime
gmime-sharp.x86_64: E: only-non-binary-in-usr-lib
      1 packages and 0 specfiles checked; 1 errors, 3 warnings.
      [rishi@ginger ~]$

OK - follows Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package does not meet Packaging Guidelines
    + The '%ifarch s390 s390x ppc64' condition looks wrong because
      devel/mono.spec has
      'ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha s390 s390x ppc'.
      Since Mono is unavailable in ppc64 causing gmime-sharp to be excluded
      for that architecture, a bug should be filed blocking the ExcludeArch
      tracker for PPC64 (https://bugzilla.redhat.com/238953). The bug number
      should be documented in the Spec file as a comment.
    + The -sharp sub-package's summary should start with a capital letter.
    + Invoking autoreconf and friends from the Spec file has evoked strong
      reactions in the past. In this case it would be easy to rework Patch2 to
      apply against mono/Makefile.in instead of mono/Makefile.am and then use
      chrpath to remove the rpaths. Remember to replace
      'BuildRequires: automake libtool' with 'BuildRequires: chrpath'. See:
      https://fedoraproject.org/wiki/Packaging/Guidelines#Removing_Rpath
      It looks like the --disable-rpath switch does not work, neither could I
      manage to get rid of the rpaths by modifying libtool. But chrpath is
      better than using autoreconf.
    + Here is how the unused-direct-shlib-dependency can be removed:
      https://fedoraproject.org/wiki/PackageMaintainers/Common_Rpmlint_Issues#unused-direct-shlib-dependency
    + Instead of using mv to rename the files in the %install stanza, would it
      not be better to pass '--program-prefix=%{name}-' to %configure? It is
      there for this purpose only. If you choose to use this switch, please
      don't pass transform='s,x,x' to 'make install' in the %install stanza.
    + gmime-sharp-2.4.pc should be packaged in a separate -sharp-devel
      sub-package. See:
      https://fedoraproject.org/wiki/Packaging/Mono#-devel_packages
    + Can gmime-2.2.3-use-pkg-config.patch be removed from CVS?

OK - license meets Licensing Guidelines

xx - License field does not meet actual license
    + While most of the source code is under LGPLv2+, the gmime-uudecode and
      gmime-uuencode binaries are obtained from GPLv2+ sources -- src/*.[ch].
      This is a multiple licensing scenario. See:
      https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios
      Please change the value of the License field to "GPLv2+ and LGPLv2+" and
      document it in the Spec or the package.
    + examples/*-example.c are under GPLv2+. It appears to be a simple mistake
      and would be good to request upstream to put them at par with the rest of
      the files.
    + util/md5-utils.[ch] are in the public domain.

xx - upstream license file not included in %doc
    + Please include src/COPYING, containing the GPLv2 text, also.

OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed
OK - no locales
OK - %post and %postun invoke ldconfig
OK - package is not relocatable

xx - file and directory ownership
    + The -devel sub-package should have 'Requires: gtk-doc' because it
      installs files in /usr/share/gtk-doc.
    + Although 'Requires: gtk-sharp2' will pull in mono-core, it is better to
      have an explicit 'Requires: mono-core' since the -sharp sub-package
      installs files in /usr/lib/mono.

OK - no duplicates in %file
OK - file permissions set properly
OK - %clean present
OK - macros used consistently
OK - contains code and permissable content
OK - -doc is not needed
OK - contents of %doc does not affect the runtime
OK - header files in -devel
OK - no static libraries

OK - -devel has *.pc file and requires pkgconfig
    + Although 'Requires: glib2-devel' will pull in pkgconfig, it is better
      to have an explicit 'Requires: pkgconfig' for the sake of readability.

OK - library files without suffix in -devel
OK - -devel requires base package
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets are sane
OK - subpackages other than -devel requires base package

xx - pkgconfig files in -devel
    + gmime-sharp-2.4.pc should be packaged in a separate -sharp-devel
      sub-package. See:
      https://fedoraproject.org/wiki/Packaging/Mono#-devel_packages

OK - no file dependencies
Comment 3 Debarshi Ray 2008-12-31 08:59:21 EST
Created attachment 328009 [details]
Sample Spec file fixes.
Comment 4 Debarshi Ray 2008-12-31 09:00:49 EST
Created attachment 328010 [details]
Updated Patch2 to apply against mono/Makefile.in
Comment 5 Debarshi Ray 2009-01-21 04:31:37 EST
Ping?
Comment 6 Matthias Clasen 2009-03-30 00:01:50 EDT
Those patches look ok to me; feel free to put them in the package.
Comment 7 Debarshi Ray 2009-03-30 23:17:30 EDT
Created attachment 337273 [details]
Updated Spec file

(In reply to comment #6)
> Those patches look ok to me; feel free to put them in the package.  

Unfortunately after the new provenpackager reseed, the ACLs do not allow me to commit.
Comment 8 Matthias Clasen 2009-03-31 12:43:02 EDT
Doesn't build:

http://koji.fedoraproject.org/koji/getfile?taskID=1268248&name=build.log
Comment 9 Cole Robinson 2015-02-11 15:36:41 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 10 Jan Kurik 2015-07-15 11:26:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 11 Fedora End Of Life 2016-11-24 05:19:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.